.numeric__keypad {
    position: fixed;
    bottom: 0;
    display: flex;
    width: 100%;
    height: 28%;
    min-height: 190px;
    max-height: 210px;
    background-color: #121212;
    z-index: 1000;
    transition: 500ms;
}

.left__block {
    display: flex;
    flex-direction: column;
    width: 75%;
}

.right__block {
    display: flex;
    flex-direction: column;
    width: 25%;
}

.line {
    display: flex;
    height: 25%;
}

.key {
    /* обнуление стандартных настроек кнопки */
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    -webkit-tap-highlight-color: transparent;

    /* запрет на выделение текста */
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    background-color: #2d2d2d;
    margin: 4px 3px;
    border-radius: 5px;
    transition: 50ms;
    color: #fcfcfc;
    font-size: x-large;
}

.character__keys {
    width: calc(100% / 3);
}

.special__keys {
    height: calc(100% / 2);
}

.key-enter {
    background-color: #4e65ff;
}

.clickd-key {
    background-color: #474747;
}

.clickd-key-enter {
    background-color: #334ce6;
}

.hide {
    display: none;
}
